import 'package:flutter/rendering.dart';

class EufemiaColors {
  // Primary colors
  static const seaGreen = Color.fromRGBO(0, 114, 114, 1.0);
  static const seaGreenAlt = Color.fromRGBO(0, 132, 132, 1.0);
  static const oceanGreen = Color.fromRGBO(0, 52, 62, 1.0);
  static const emeraldGreen = Color.fromRGBO(20, 85, 90, 1.0);
  static const summerGreen = Color.fromRGBO(40, 180, 130, 1.0);
  static const mintGreen = Color.fromRGBO(165, 225, 210, 1.0);
  static const mintGreenAlt = Color.fromRGBO(235, 255, 250, 1.0);

  // Accent and UX specific
  static const accentYellow = Color.fromRGBO(253, 187, 49, 1.0);
  static const successGreen = Color.fromRGBO(0, 128, 0, 1.0);
  static const fireRed = Color.fromRGBO(220, 42, 42, 1.0);
  static const signalOrange = Color.fromRGBO(254, 84, 0, 1.0);

  // Background
  static const lightGray = Color.fromRGBO(250, 250, 250, 1.0);
  static const lavender = Color.fromRGBO(242, 242, 245, 1.0);
  static const sandYellow = Color.fromRGBO(251, 246, 236, 1.0);
  static const pistachio = Color.fromRGBO(242, 244, 236, 1.0);
  static const emberRed = Color.fromRGBO(252, 238, 238, 1.0);

  // Grayscale
  static const coal = Color.fromRGBO(51, 51, 51, 1.0);
  static const darkGray = Color.fromRGBO(117, 117, 117, 1.0);
  static const softGray = Color.fromRGBO(204, 204, 204, 1.0);
  static const outlineGray = Color.fromRGBO(235, 235, 235, 1.0);
  static const subtleGray = Color.fromRGBO(248, 248, 248, 1.0);
  static const white = Color.fromRGBO(255, 255, 255, 1.0);
  static const black = Color.fromRGBO(0, 0, 0, 1.0);

  // Tertiary
  static const indigo = Color.fromRGBO(35, 25, 90, 1.0);
  static const violet = Color.fromRGBO(110, 35, 130, 1.0);
  static const skyBlue = Color.fromRGBO(75, 190, 210, 1.0);

  // Theming
  static const gray1 = Color.fromRGBO(142, 142, 147, 1.0);
  static const gray2 = Color.fromRGBO(99, 99, 102, 1.0);
  static const gray3 = Color.fromRGBO(72, 72, 74, 1.0);
  static const gray4 = Color.fromRGBO(58, 58, 60, 1.0);
  static const gray5 = Color.fromRGBO(44, 44, 46, 1.0);
  static const gray6 = Color.fromRGBO(28, 28, 30, 1.0);

  // Saga
  static const sagaBackground = Color.fromRGBO(34, 34, 34, 1.0);
  static const saga = Color.fromRGBO(191, 169, 112, 1.0);
  static const sagaContrast = Color.fromRGBO(128, 112, 69, 1.0);
  static const sagaLight = Color.fromRGBO(255, 245, 219, 1.0);

  // Private Banking
  static const pbBackground = Color.fromRGBO(34, 34, 34, 1.0);
  static const pb = Color.fromRGBO(88, 88, 88, 1.0);
  static const pbContrast = Color.fromRGBO(164, 164, 164, 1.0);
  static const pbLight = Color.fromRGBO(244, 244, 244, 1.0);
  static const pbButton = Color.fromRGBO(144, 144, 144, 1.0);

  // Shadows
  static const lightShadow = Color.fromRGBO(51, 51, 51, .08);
  static const darkShadow = Color.fromRGBO(255, 255, 255, .05);
  static const seaGreenAltShadow = Color.fromRGBO(0, 132, 132, .3);

  // Fields
  static const searchField = Color.fromRGBO(51, 51, 51, .08);
  static const searchStandard = Color.fromRGBO(255, 255, 255, .88);
  static const searchForms = Color.fromRGBO(51, 51, 51, .09);
  static const searchPayments = Color.fromRGBO(255, 255, 255, .88);
  static const searchDark = Color.fromRGBO(255, 255, 255, .12);
  static const whiteLight = Color.fromRGBO(255, 255, 255, .8);

  static Map<Color, String> map = {
    seaGreen: 'Seagreen',
    seaGreenAlt: 'Seagreen Alt',
    oceanGreen: 'Oceangreen',
    emeraldGreen: 'Emeraldgreen',
    summerGreen: 'Summergreen',
    mintGreen: 'Mintgreen',
    mintGreenAlt: 'Mintgreen Alt',
    signalOrange: 'Signal orange',
    accentYellow: 'Accent yellow',
    successGreen: 'Success green',
    fireRed: 'Fire red',
    lightGray: 'Light gray',
    lavender: 'Lavender',
    sandYellow: 'Sand yellow',
    pistachio: 'Pistachio',
    emberRed: 'Ember red',
    coal: 'Coal',
    darkGray: 'Dark gray',
    softGray: 'Soft gray',
    outlineGray: 'Outline gray',
    subtleGray: 'Subtle gray',
    indigo: 'Indigo',
    violet: 'Violet',
    skyBlue: 'Sky blue',
    gray1: 'Gray 1',
    gray2: 'Gray 2',
    gray3: 'Gray 3',
    gray4: 'Gray 4',
    gray5: 'Gray 5',
    gray6: 'Gray 6',
  };
}
